/* --------------------------------------------------------------------------
 * Copyright (C) 2000-2001 Klarlvdalens Datakonsult AB. All rights reserved.
 *
 * This file is part of KNUT, the Windows resource converter for Qt GUI
 * Designer. You may only use and modify it according to the license terms
 * appearing in the file LICENSE included in this package.
 *
 * Holders of a commercial license have additional rights as specified in the
 * license terms shipped with the commercial package.
 *
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 * ------------------------------------------------------------------------ */


/****************************************************************************
**
** This class is the general Output Wrapper of the application.
** It is called by the main application and any objects that wants to
** write comments to the console and/or to a log file and/or to the GUI
** It calls 
**
*****************************************************************************/

#ifndef MYOUT_H
#define MYOUT_H

#include <qobject.h>

class QWidget;
class QString;
class QMultiLineEdit;
class QStatusBar;
class QFile;
class QTextStream;


class MyOut: public QObject
{
	Q_OBJECT
public:
	MyOut(	QWidget*		_parent,
			QString			_sLog,
			QMultiLineEdit*	_pEd,
			QStatusBar*		_pStat,
			bool			_bStdOut = true,
			bool			_bStdErr = false );
    ~MyOut();

	bool AddLog(    QString sMsg ); // to log file and/or console and/or pEd
	bool SetStat( QString sMsg ); // set pStat and call AddLog()
	bool IsIOError() { return bIOError; }
//private:

//private slots:

//protected:

private:
	QWidget*		parent;
	QMultiLineEdit*	pEd;
	QStatusBar*		pStat;
	QFile*			pfLog;
	QTextStream*	pLog;
	bool			bStdOut;
	bool			bStdErr;
	bool			bIOError;
};


#endif
