/* --------------------------------------------------------------------------
 * Copyright (C) 2000-2001 Klar�lvdalens Datakonsult AB. All rights reserved.
 *
 * This file is part of KNUT, the Windows resource converter for Qt GUI
 * Designer. You may only use and modify it according to the license terms
 * appearing in the file LICENSE included in this package.
 *
 * Holders of a commercial license have additional rights as specified in the
 * license terms shipped with the commercial package.
 *
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 * ------------------------------------------------------------------------ */


/**
 * RES file reader.
 *
 * Header file for class ResConv.
 */

#ifndef __RESCONV_H__
#define __RESCONV_H__

#include <qstring.h>
#include <qprogressdialog.h>

#include <qapplication.h>

class QIODevice;
class QWidget;
class QListView;
class QFile;

class ResConv
{
public:
  static bool extractToRes( QIODevice* exedata, QIODevice* resdata,
                            QProgressDialog *pdlg );
  static bool extractToRes( const QString& exename, const QString& resname,
                            QProgressDialog *pdlg );
  static bool extractToRes( const QString& exename, QIODevice* resdata,
                            QProgressDialog *pdlg );
  static bool extractToXML( QIODevice* exedata, QIODevice* xmldata,
                            float scalefactor, const QString& rcname,
                            QProgressDialog *pdlg );
  static bool extractToXML( const QString& exename, const QString& xmlname,
                            float scalefactor, const QString& rcname,
                            QProgressDialog *pdlg );
  static bool extractToXML( const QString& exename, QIODevice* xmldata,
                            float scalefactor, const QString& rcname,
                            QProgressDialog *pdlg );
  static QListView* extractToGUI( QIODevice* exedata, QWidget* parent = 0 );
  static QListView* extractToGUI( const QString& exename, QWidget* parent = 0 );
  static bool extractToSrc( QIODevice* exedata, QIODevice* srcdata );
  static bool extractToSrc( const QString& exename, const QString& srcname );
  static bool extractToSrc( const QString& exename, QIODevice* srcdata );
  static bool convertToXML( QIODevice* resdata, QIODevice* xmldata, float scalefactor, const QString& rcname,
                            QProgressDialog *pdlg );
  static bool convertToXML( const QString& resname, const QString& xmlname, float scalefactor, const QString& rcname,
                            QProgressDialog *pdlg );
  static bool convertToXML( const QString& resname, QIODevice* xmldata, float scalefactor, const QString& rcname,
                            QProgressDialog *pdlg );
  static QListView* convertToGUI( QIODevice* resdata, QWidget* parent = 0 );
  static QListView* convertToGUI( const QString& name, QWidget* parent = 0 );
  static bool convertToSrc( QIODevice* resdata, QIODevice* srcdata );
  static bool convertToSrc( const QString& resname, const QString& srcname );
  static bool convertToSrc( const QString& resname, QIODevice* srcdata );

private:
  static QFile* createAndOpenFile( const QString& filename, bool input );
};

#ifdef __cplusplus
extern "C" {
#endif
  bool extractToXML( const QString& exename, const QString& xmlname, float scalefactor, const QString& rcname );
  bool convertToXML( const QString& resname, const QString& xmlname, float scalefactor, const QString& rcname );
#ifdef __cplusplus
}
#endif

#endif
