/* --------------------------------------------------------------------------
 * Copyright (C) 2000-2001 Klar�lvdalens Datakonsult AB. All rights reserved.
 *
 * This file is part of KNUT, the Windows resource converter for Qt GUI
 * Designer. You may only use and modify it according to the license terms
 * appearing in the file LICENSE included in this package.
 *
 * Holders of a commercial license have additional rights as specified in the
 * license terms shipped with the commercial package.
 *
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 * ------------------------------------------------------------------------ */


/**
 * RES file reader.
 *
 * Header file for class ResFile.
 */

#ifndef __RESFILE_H__
#define __RESFILE_H__

#include "Resource.h"

#include <qptrlist.h>//<qlist.h>

typedef QList<Resource> ResourceList;
typedef QListIterator<Resource> ResourceListIterator;

class QIODevice;

class ResFile
{
public:
  ResFile( QIODevice* iodevice );
  bool read();

  const ResourceList* resources() const;

private:
  ResourceList reslist;
  QIODevice* iodevice;
};

#endif
