/* --------------------------------------------------------------------------
 * Copyright (C) 2000-2001 Klarlvdalens Datakonsult AB. All rights reserved.
 *
 * This file is part of KNUT, the Windows resource converter for Qt GUI
 * Designer. You may only use and modify it according to the license terms
 * appearing in the file LICENSE included in this package.
 *
 * Holders of a commercial license have additional rights as specified in the
 * license terms shipped with the commercial package.
 *
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 * ------------------------------------------------------------------------ */


/**
 * RES file reader.
 *
 * Header file for class ResIcon.
 */

#ifndef __RESICON_H__
#define __RESICON_H__

#include "ResData.h"
#include "typedefs.h"
#include "ResBitmap.h"


class ResHeader;

#include <qdict.h>
#include <qimage.h> 

class ResIcon : public ResBitmap
{
  friend QDataStream& operator>>( QDataStream& s, ResIcon& r );

public:
  ResIcon( ResHeader* );
  virtual ~ResIcon() {};
  
  static ResIcon* findByNameOrOrdinal( const nameorordinal& name );

private:
  static QDict<ResIcon> objects;
};

QDataStream& operator>>( QDataStream& s, ResIcon& r );

#endif
