/* --------------------------------------------------------------------------
 * Copyright (C) 2000-2001 Klar�lvdalens Datakonsult AB. All rights reserved.
 *
 * This file is part of KNUT, the Windows resource converter for Qt GUI
 * Designer. You may only use and modify it according to the license terms
 * appearing in the file LICENSE included in this package.
 *
 * Holders of a commercial license have additional rights as specified in the
 * license terms shipped with the commercial package.
 *
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 * ------------------------------------------------------------------------ */


/**
 * RES file reader.
 *
 * Header file for class ResMenu.
 */

#ifndef __RESMENU_H__
#define __RESMENU_H__

#include "ResData.h"
#include "typedefs.h"

#include <qptrlist.h>//<qlist.h>
#include <qstring.h>

struct ResMenuItem {
  bool grayed;
  bool inactive;
  bool bitmap;
  bool ownerdraw;
  bool checked;
  bool popup;
  bool menubarbreak;
  bool menubreak;
  bool endmenu;
  bool separator;
  Q_UINT16 itemid;
  QString itemtext;
};

typedef QList<ResMenuItem> ResMenuItemList;
typedef QListIterator<ResMenuItem> ResMenuItemListIterator;

class ResMenu : public ResData
{
  friend QDataStream& operator>>( QDataStream& s, ResMenu& r );

public:
  ResMenu( int size ) { this->size = size; itemlist.setAutoDelete( true ); }
  virtual ~ResMenu() {};

  virtual QString toString() const;
  ResMenuItemList* items() { return &itemlist; }

private:
  unsigned int size;
  Q_UINT16 version;
  Q_UINT16 headersize;

  ResMenuItemList itemlist;
};

QDataStream& operator>>( QDataStream& s, ResMenu& r );

#endif
