/* --------------------------------------------------------------------------
 * Copyright (C) 2000-2001 Klarlvdalens Datakonsult AB. All rights reserved.
 *
 * This file is part of KNUT, the Windows resource converter for Qt GUI
 * Designer. You may only use and modify it according to the license terms
 * appearing in the file LICENSE included in this package.
 *
 * Holders of a commercial license have additional rights as specified in the
 * license terms shipped with the commercial package.
 *
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 * ------------------------------------------------------------------------ */


/**
 * RES file reader.
 *
 * Implementation file for class ResString.
 */

#include "ResString.h"
#include "tools.h"

QList<ResString> ResString::stringresources;

ResString::ResString()
{
  stringresources.append( this );
}

ResString::~ResString()
{
  stringresources.remove( this );
}


QString ResString::toString() const
{
  qDebug( "Sorry, not implemented: ResString::toString()" );
  return QString::null;
}


QDataStream& operator>>( QDataStream& s, ResString& r )
{
  // each ResString block has 16 strings, even if some of them might be 0
  for( int i = 0; i < 16; i++ ) {
	QString string;
	readUnicodePascalString( s, string );
	r._strings[ i ] = string; // PENDING(kalle) We probably need another
	// index here for the MS 12/4 bits index.
  }

  return s;
}
