/* --------------------------------------------------------------------------
 * Copyright (C) 2000-2001 Klar�lvdalens Datakonsult AB. All rights reserved.
 *
 * This file is part of KNUT, the Windows resource converter for Qt GUI
 * Designer. You may only use and modify it according to the license terms
 * appearing in the file LICENSE included in this package.
 *
 * Holders of a commercial license have additional rights as specified in the
 * license terms shipped with the commercial package.
 *
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 * ------------------------------------------------------------------------ */


/**
 * RES file reader.
 *
 * Header file for class ResString.
 */

#ifndef __RESSTRING_H__
#define __RESSTRING_H__

#include "ResData.h"

#include <qptrlist.h>//<qlist.h>
#include <qmap.h>

class ResString : public ResData
{
  friend QDataStream& operator>>( QDataStream& s, ResString& r );

public:
  ResString();
  virtual ~ResString();
  virtual QString toString() const;

  QMap<Q_UINT16,QString>* strings() { return &_strings; }

private:
  static QList<ResString> stringresources;
  QMap<Q_UINT16,QString> _strings;
};

QDataStream& operator>>( QDataStream& s, ResString& r );

#endif
