/* --------------------------------------------------------------------------
 * Copyright (C) 2000-2001 Klarlvdalens Datakonsult AB. All rights reserved.
 *
 * This file is part of KNUT, the Windows resource converter for Qt GUI
 * Designer. You may only use and modify it according to the license terms
 * appearing in the file LICENSE included in this package.
 *
 * Holders of a commercial license have additional rights as specified in the
 * license terms shipped with the commercial package.
 *
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 * ------------------------------------------------------------------------ */


/**
 * RES file reader.
 *
 * Header file for class Resource.
 */

#ifndef __RESOURCE_H__
#define __RESOURCE_H__

class ResHeader;
class ResData;

#include <qdatastream.h>

class Resource
{
  friend QDataStream& operator>>( QDataStream& s, Resource& r );

public:
  Resource();
  ~Resource();

  ResHeader* header() const { return _header; }
  ResData* data() const { return _data; }

  QString toString() const;

private:
  ResHeader* _header;
  ResData* _data;
};

QDataStream& operator>>( QDataStream& s, Resource& r );

#endif
